
pfSense - Feature #10563

Update Traffic Shaper Wizard Services

05/17/2020 01:49 AM - tag wolf

Status: Rejected Start date: 05/17/2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Traffic Shaper (ALTQ) Estimated time: 4.00 hours

Target version:    

Plus Target Version:  Release Notes:  

Description

Please update traffic shaper wizard's services/games to relevant services/games such as:

(just a few examples. but I'm sure we could create a list of recent software in the past 10 years and sort it by popularity)

Discord

Telegram Messenger

Slack

Netflix

Amazon Prime Video

Disney Plus

Hulu

Heroes of the Storm

GTAV

Dota 2

Smite

Forenite

etc etc etc.

And remove old ones like:

AIM

Half Life 1

Napster

etc

History

#1 - 05/17/2020 01:51 AM - tag wolf

And PLEASE don't forget Twitch and other upload heavy streaming services.

#2 - 05/18/2020 09:15 AM - Jim Pingle

- Category set to Traffic Shaper (ALTQ)

- Status changed from New to Rejected

The traffic shaper wizard services list works on lists of ports, and most if not all those are web-based services which cannot be differentiated by port

numbers.

To do anything like that you'd need pfBlockerNG populating aliases with info from things like AS lists or similar tactics, and even that wouldn't be

accurate. Lots of these use CDNs which make it even less likely to work accurately.

If there are specific games which use specific ports which are not covered by the wizard, make individual feature requests for them with the details of

how they would be identified at the firewall level.
